# Delete the DIPP

The `DIPPs` feature must be enabled for the account.
It is not allowed to delete a DIPP inherited from the parent account.
If the DIPP is delegated to subaccounts, those will also be updated.
If the replacement DIPP is specified, all domains linked to the deleted DIPP will be
relinked to the replacement DIPP. The latter must contain at least one IP.
If the replacement IP is specified, all domains linked to the deleted DIPP will be
unlinked, and the replacement IP will be assigned to them. It is not allowed to
delete a DIPP inherited from the parent account and replace it with an IP
(subaccounts do not explicitly manage their IPs).
The replacement IP must be a dedicated one; it can't belong to another DIPP. If a
special value `shared` is used, appropriate shared IPs will be used (the account must
be eligible for shared IPs in this case).
Omitting both replacement DIPP and replacement IP is allowed only if the DIPP being
deleted contains no IPs.
The processing of affected domains and subaccounts happens asynchronously after the
endpoint returns a response.

Endpoint: DELETE /v3/ip_pools/{pool_id}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `pool_id` (string, required)
    Id of the DIPP to delete

## Query parameters:

  - `ip` (string, required)
    Replacement IP or a special value `shared`

  - `pool_id` (string, required)
    Id of the replacement DIPP

